.site-header.wp-block-template-part {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  z-index: 100000;
  transition:
    transform 500ms ease-out,
    box-shadow 100ms ease-in;
}

body.admin-bar .site-header {
  top: 32px;
}

.sm-header-spacer {
  padding-top: 126px;
}

@media (max-width: 720px) {
  .sm-header-spacer {
    padding-top: 71px;
  }
}

@media (max-width: 600px) {
  #wpcom-launch-banner-wrapper {
    display: none;
  }

  body.admin-bar .site-header {
    top: 0px;
  }
}

.site-header.sticky {
  box-shadow: 0px 0px 5px #0008;
}

.site-header.hidden {
  transform: translateY(-100%);
}

body.admin-bar .site-header.hidden {
  transform: translateY(calc(var(--wpct-sm-header-offset) * -1));
}

.site-header .wp-block-site-logo img {
  height: auto;
  width: 110px;
  transition:
    width 500ms,
    transform 500ms;
}

.site-header.sticky .wp-block-site-logo img {
  width: 55px;
  transform: translateX(50%);
}

@media (max-width: 720px) {
  .site-header .wp-block-site-logo img {
    width: 55px;
  }

  .site-header.sticky .wp-block-site-logo img {
    transform: unset;
  }
}
